<?php

namespace App\Exports;

use Maatwebsite\Excel\Concerns\FromView;
use Illuminate\Contracts\View\View;
use App\Carreras;

class CarrerasExport implements FromView{
    private $nombre;
    private $tipo;

    /*public function __construct(String $nombre, String $tipo){
        $this->nombre = $nombre;
        $this->tipo  = $tipo;
    }*/
    public function __construct(String $nombre, String $tipo){
        $this->nombre = $nombre;
        $this->tipo  = $tipo;

    }
    /**
    * @return \Illuminate\Support\Collection
    */

    public function view():View{
        
        if($this->nombre=="" && $this->tipo==""){
            //dd(Carreras::where('estado','1')->with('tipo')->get());
            return view('carreras.excel',['carrera'=>Carreras::where('estado','1')->with('tipo')->get()]);
        }else{ 
        $salida=Carreras::where('estado','1');
        if($this->nombre!=""){
            $nombre=$this->nombre;
            $salida=$salida->where('nombre','like','%'.$nombre.'%');
        }
        if($this->tipo!=""){
            $tipo=$this->tipo;
            $salida=$salida->where('tipo_id',$tipo);

        }
        $carrera=$salida->with('tipo')->get();
        //return view('carreras.excel',['carrera'=>Carreras::where('estado','1')->where('nombre','like','%'.$this->nombre.'%')->where('tipo_id',$this->tipo)->with('tipo')->get()]);
        //dd($carrera);
        return view('carreras.excel',compact('carrera'));
    }
    
    }
}